<!-- if selectedInstrument is NOT set  -->
<!-- the instument data and display with the For loop -->
<!-- if selectedInstrument is set, this will display de instrument component -->
<div class="table_beleggen">
  <table *ngIf="!selectedInstrument" class="table table-striped">
    <thead>
    <tr>
      <th scope="col">Naam</th>
      <th scope="col" >Koers</th>
      <th scope="col" >Hoog</th>
      <th scope="col" >Laag</th>
    </tr>
    </thead>
    <!-- instrument loops here  -->
    <tbody>
      <tr *ngFor="let instrument of instruments$ | async">
        <td class="table_beleggen_link" 
            (click)="selectInstrument(instrument)">
            {{ instrument.name }}</td>
        <td>{{instrument.price}}</td>
        <td>{{instrument.highPrice}}</td>
        <td>{{instrument.lowPrice}}</td>
      </tr>
    </tbody>
  </table>
<!-- if name/selectedInstrument is selected this will display de instrument component -->
  <div *ngIf="selectedInstrument">
    <button class="table_beleggen_btn" (click)="deselectInstrument()">Terug</button>
    <app-instrument [instrument]="selectedInstrument"></app-instrument>
  </div>
</div>
